# QTextDecoder Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QTextDecoder(QTextCodec codec)
- void QTextDecoder(QTextCodec codec, ConversionFlags flags)

### Constructor Properties

- prototype: The QTextDecoder prototype object

### Prototype Object Properties

- bool hasFailure()
- String toUnicode(QByteArray ba)

### Instance Properties

QTextDecoder objects have no special properties beyond those inherited from the QTextDecoder prototype object.